Package org.apache.sling.distribution.queue.impl.jobhandling

## Class JobHandlingQueueDistributionProviderFactory

- java.lang.Object
- - org.apache.sling.distribution.queue.impl.jobhandling.JobHandlingQueueDistributionProviderFactory

All Implemented Interfaces:
  `org.apache.sling.distribution.queue.impl.DistributionQueueProviderFactory`

    public class JobHandlingQueueDistributionProviderFactory
    extends Object
    implements org.apache.sling.distribution.queue.impl.DistributionQueueProviderFactory

### Constructor Summary

Constructors
`JobHandlingQueueDistributionProviderFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `activate​(org.osgi.framework.BundleContext context, Map<String,​Object> config)`
`org.apache.sling.distribution.queue.impl.DistributionQueueProvider` `getProvider​(String agentName, String serviceName)`
`void` `releaseProvider​(org.apache.sling.distribution.queue.impl.DistributionQueueProvider queueProvider)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JobHandlingQueueDistributionProviderFactory

    public JobHandlingQueueDistributionProviderFactory()

### Method Detail

#### activate

    protected void activate​(org.osgi.framework.BundleContext context,
                            Map<String,​Object> config)

#### getProvider

    public org.apache.sling.distribution.queue.impl.DistributionQueueProvider getProvider​(String agentName,
                                                                                          String serviceName)

Specified by:
  `getProvider` in interface `org.apache.sling.distribution.queue.impl.DistributionQueueProviderFactory`

#### releaseProvider

    public void releaseProvider​(org.apache.sling.distribution.queue.impl.DistributionQueueProvider queueProvider)

Specified by:
  `releaseProvider` in interface `org.apache.sling.distribution.queue.impl.DistributionQueueProviderFactory`